# Introduction

This book represents the project documentation of OPOSSUM (**OP**en **S**ource **O**ptics **S**imulation **S**ystem and **U**nified **M**odeller). The goal of this project is the development of a common software platform for simulating various aspects of optical systems in a holistic approach. It should be particularly useful for simulating and designing large-size, high-energy / intensity laser systems.

While there are a plethora of, mostly commercial, simulation / calculation tools available, most of them only address specific aspects of an optical system. For example, there are tools for pure geometric optics (raytracing), the simulation of non-linear effects in materials, wavefront propagation, parasitic lasing, diffuse illumination / straylight simulation etc... Modern laser systems need to take all these aspects into account which requires a repeated change of the tools and / or remodeling the optical system. This project is an approach to unifying this design workflow.

This project is a task within the **THRILL** project. The **THRILL** acronym stands for **T**echnology for **H**igh-**R**epetition-rate **I**ntense **L**aser **L**aboratories and is a project funded by the European Union.

Within the **THRILL** project, this task (3.4) has the title "supporting calculations for system design" and is led by GSI. The task description from the proposal is as follows:

> [...] To strengthen the design decisions and later benchmark the system performance, the use of theoretical modelling is of vital
> importance. It exists a number of simulation tools for certain aspects of the laser chain (broadband generation, nonlinear
> frequency conversion and amplification, laser amplification, dispersion management, wavefront propagation, calculation of parasitic
> lasing, etc.) distributed among the project partners (GSI, FZU/ELI-BL, HZDR, CNRS-LULI) and in the wider community. In this task,
> we will gather calculations with the aim to make them accessible to the partners as well as to the wider community. For this
> purpose a common platform for input and output formats possibly with suitable interfaces will be developed. [...]

The project has a funding period of four years. The more specific goals and the project structure will be discussed in the following.

*Note*: This documentation will most probably never be a *finished* document but continuously extended and modified with the progression of the project.
